// components/select/index.js
Component({
    /**
     * 组件属性列表
     */
    options: {
        styleIsolation: "isolated"
    },
    properties: {
        data: {
            type: Array,
        },
        current: {
            type: [Number, String]
        },
        rangeKey: {
            type: String,
            default() {
                return ''
            }
        },
        disabled: {
            type: Boolean,
            default() {
                return false
            }
        },
        placeholder: {
            type: String,
            default: "请选择"
        }
    },
    /**
     * 页面的初始数据
     */
    data: {},
    methods: {
        updateChange(e) {
            this.triggerEvent('updateChange', {current:e.detail.value})
        },
    }
})